com.unitech.lib.uhf.params

## Class PermaLock6cParam

- java.lang.Object
- - com.unitech.lib.uhf.params.PermaLock6cParam

-     public class PermaLock6cParam
      extends java.lang.Object

  The PermaLock6cParam class is used to pass information pertaining to RFID UHF's PermaLock command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermaLock6cParam()` Creates an instance of the PermaLock6cParam class.
    `PermaLock6cParam(LockState killPassword, LockState accessPassword, LockState epc, LockState tid, LockState user)` Creates an instance of the PermaLock6cParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LockState` | `getAccessPassword()` Returns TAG Access operation for 'Access Password Area of Reserved Memory'.
    `LockState` | `getEpc()` Returns TAG Access action for 'EPC memory'.
    `LockState` | `getKillPassword()` Returns TAG Access operation for 'Kill Password Area of Reserved Memory'.
    `LockState` | `getTid()` Returns TAG Access action for 'TID memory'.
    `LockState` | `getUser()` Returns TAG Access action for 'EPC memory'.
    `void` | `setAccessPassword(LockState value)` Set TAG Access operation for 'Access Password Area of Reserved Memory'.
    `void` | `setEpc(LockState value)` Set TAG Access action for 'EPC memory'.
    `void` | `setKillPassword(LockState value)` Set TAG Access operation for 'Kill Password Area of Reserved Memory'.
    `void` | `setTid(LockState value)` Set TAG Access operation for 'TID memory'.
    `void` | `setUser(LockState value)` Set TAG Access action for 'EPC memory'.
    `byte[]` | `toMask()` Returns an array for mask
    `java.lang.String` | `toString()` Return the PermaLock6cParam information with format: [Kill Password], [Access Password], [EPC], [Bank], [TID], [User]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermaLock6cParam

          public PermaLock6cParam()

      Creates an instance of the PermaLock6cParam class.

    - #### PermaLock6cParam

          public PermaLock6cParam(LockState killPassword,
                                  LockState accessPassword,
                                  LockState epc,
                                  LockState tid,
                                  LockState user)

      Creates an instance of the PermaLock6cParam class.
      Parameters:
        `killPassword` - LockState enum indicating the Access operation for Kill Password area of the Reserved Memory of the tag.
        `accessPassword` - The LockState enumeration that indicates the Access operation for Access Memory area of the Reserved Memory of the tag.
        `epc` - A LockState enum indicating the Access behavior for the tag's EPC memory.
        `tid` - The LockState enumeration indicating the Access behavior for the tag's TID memory.
        `user` - The LockState enumeration that indicates the Access behavior for the tag User Memory.

  - ### Method Detail

    - #### getKillPassword

          public LockState getKillPassword()

      Returns TAG Access operation for 'Kill Password Area of Reserved Memory'.
      Returns:
        LockState enum indicating the Access operation for the 'Kill Password area of the Reserved Memory' of the tag.

    - #### setKillPassword

          public void setKillPassword(LockState value)

      Set TAG Access operation for 'Kill Password Area of Reserved Memory'.
      Parameters:
        `value` - LockState enum indicating the Access operation for the 'Kill Password area of the Reserved Memory' of the tag.

    - #### getAccessPassword

          public LockState getAccessPassword()

      Returns TAG Access operation for 'Access Password Area of Reserved Memory'.
      Returns:
        The LockState enumeration that indicates the Access operation for the 'Access Memory area of the Reserved Memory' of the tag.

    - #### setAccessPassword

          public void setAccessPassword(LockState value)

      Set TAG Access operation for 'Access Password Area of Reserved Memory'.
      Parameters:
        `value` - The LockState enumeration that indicates the Access operation for the 'Access Memory area of the Reserved Memory' of the tag.

    - #### getEpc

          public LockState getEpc()

      Returns TAG Access action for 'EPC memory'.
      Returns:
        A LockState enum indicating the Access behavior for the tag's 'EPC memory'.

    - #### setEpc

          public void setEpc(LockState value)

      Set TAG Access action for 'EPC memory'.
      Parameters:
        `value` - A LockState enum indicating the Access behavior for the tag's 'EPC memory'.

    - #### getTid

          public LockState getTid()

      Returns TAG Access action for 'TID memory'.
      Returns:
        The LockState enumeration indicating the Access behavior for the tag's 'TID memory'.

    - #### setTid

          public void setTid(LockState value)

      Set TAG Access operation for 'TID memory'.
      Parameters:
        `value` - The LockState enumeration indicating the Access behavior for the tag's 'TID memory'.

    - #### getUser

          public LockState getUser()

      Returns TAG Access action for 'EPC memory'.
      Returns:
        The LockState enumeration that indicates the Access behavior for the tag 'User Memory'.

    - #### setUser

          public void setUser(LockState value)

      Set TAG Access action for 'EPC memory'.
      Parameters:
        `value` - The LockState enumeration that indicates the Access behavior for the tag 'User Memory'.

    - #### toString

          public java.lang.String toString()

      Return the PermaLock6cParam information with format: [Kill Password], [Access Password], [EPC], [Bank], [TID], [User]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The PermaLock6cParam information

    - #### toMask

          public byte[] toMask()

      Returns an array for mask
      Returns:
        An array for mask